﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;
using Infragistics.Themes;

namespace XamDataChartPerformance
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            ThemeManager.ApplicationTheme = new MetroDarkTheme();

            InitializeComponent();

            SetChart(dataChart);
            //SetChart(dataChart2);
        }

        private void SetChart(XamDataChart chart)
        {
            var data = CreateData();

            var xAxis = new CategoryXAxis();
            var yAxis = new NumericYAxis();

            xAxis.ItemsSource = data;
            
            chart.HorizontalZoomable = true;
            chart.HorizontalZoombarVisibility = Visibility.Visible;

            var series = new LineSeries();
            series.ItemsSource = data;
            series.XAxis = xAxis;
            series.YAxis = yAxis;
            series.MarkerType = MarkerType.None;

            chart.Series.Add(series);

            chart.Axes.Add(xAxis);
            chart.Axes.Add(yAxis);

            //Throws exception: Cannot set property on object '.AxisLabelSettings' because it is in a read only state.
            //xAxis.LabelSettings.Visibility = Visibility.Collapsed;

            chart.WindowRect = new Rect(0.25, 1, 0.1, 1);
        }

        private List<double> CreateData()
        {
            List<double> data = new List<double>();
            Random rnd = new Random();

            for (int i=0; i<10000; i++)
            {
                data.Add(rnd.Next(1, 50));
            }

            return data;
        }

    }
}
